{*prazdnyObrazek*}
<div class="card">
    <div class="card-header bg-header text-white">
        <h5 class="mb-0">Obrázek pro produkty bez foto</h5>
    </div>
    <h6 class="bg-secondary text-white px-3 py-2">Aktuální obrázek</h6>
    <div class="card-body border-bottom">
        <div n:snippet="obrazek">
            {if $obrazek == ''}
                <div class="produkt-empty-image-wrapper">
                    <span class="produkt-empty-image fa-stack">
                        <i class="fas fa-camera fa-stack-1x text-secondary"></i>
                        <i class="fas fa-ban fa-stack-2x"></i>
                    </span>
                </div>
            {else}
                <div class="produkt-image-box">
                    <div class="produkt-image-delete">
                        <a n:href="delete!" class="ajax">
                            <i class="fas fa-trash"></i>
                        </a>
                    </div>
                    <img src="{$basePath}/src/images/katalog/{$obrazek}">
                </div>
            {/if}
        </div>
    </div>
    <h6 class="bg-secondary text-white px-3 py-2">Nový obrázek</h6>
    <div class="card-body">
        <div n:snippetArea="formular-wrapper">
            <form n:name="prazdnyObrazekForm" class="ajax">
                <div n:snippet="formular">
                    <div class="input-group mb-3">
                        <span class="input-group-text"><i class="far fa-image"></i></span>
                        <input n:name="obrazek" class="form-control novy-prazdnyobrazek">
                    </div>
                    <div class="mb-3">
                        <button class="btn btn-success" n:name="send"><i class="fas fa-arrow-up-from-bracket me-2"></i>Nahrát</button>
                    </div>
                    <div class="row" id="prazdnyobrazekImagePreview"></div>
                </div>
            </form>
        </div>
    </div>
</div>
{snippet scripty}
    <script>
        $('.novy-prazdnyobrazek').change(function(){

            $("#prazdnyobrazekImagePreview").html('');

            for (var i = 0; i < $(this)[0].files.length; i++) {
                var image = '<div class="col-12"><div class="p-2"><div class="produkt-image-box"><img src="'+window.URL.createObjectURL(this.files[i])+'"></div></div>';
                $("#prazdnyobrazekImagePreview").append(image);
            }
        });
    </script>
{/snippet}